Subject: Re: bug#49372: lagrange: illegal instruction

From: Maxime Devos <[email-masked]>
Date: Sun, 04 Jul 2021 14:24:02 +0200

Christopher Howard schreef op za 03-07-2021 om 19:32 [-0800]:
> Hi, I've discovered lagrange is another one of those packages which, if I use a substitute, it gives the error "illegal instruction" when I try to run it. but if I download the source and build it
> myself, I have no trouble running it. I'm certain without any research that this is a reproducibility error, due to native instructions not on my processor, but I could do the guix challenge if
> somebody could remind me exactly how to tell guix to rebuild that one package from source.

To test reproducibility, you can also try

# To avoid building the dependencies
$ guix environment lagrange --system=i686-linux --no-grafts
$ (exit environment)
$ guix build lagrange --no-substitutes --system=i686-linux
$ guix challenge lagrange --system=i686-linux

Maybe the issue also exists for the iN86 architecture family ...

Greetings,
Maxime.